---
search:
  tags:
    - Webhooks
    - GET
seo:
  description: >-
    List webhook endpoints. Reference for the GET /api/v1/webhooks endpoint in
    the torqee Connect API.
sidebar:
  label: List webhook endpoints
  badge: GET
title: List webhook endpoints
type: openapi-operation
---
`GET /api/v1/webhooks`

**Responses**

- `200` — Paginated webhook endpoints
- `400` — Invalid pagination parameters
- `401` — Missing or invalid credentials
- `403` — Membership revoked or insufficient scope
- `404` — Tenant database could not be resolved for the workspace
- `500` — Unexpected server error

Response example, 200:

```json
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "url": "http://example.com",
      "filters": [
        {
          "type": "session.created",
          "sessionId": "string"
        }
      ],
      "enabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
```
